Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.tooling.model.eclipse
Interface EclipseProject

All Superinterfaces:
  BuildableElement, BuildableProject, Element, HasGradleProject, HierarchicalEclipseProject, HierarchicalElement, HierarchicalProject, Project

    public interface EclipseProject

extends HierarchicalEclipseProject, BuildableProject, HasGradleProject

The complete model of an Eclipse project.

Note that the names of Eclipse projects are unique, and can be used as an identifier for the project.

Method Summary
`DomainObjectSet<? extends EclipseProject>` | `getChildren()` Returns the child projects of this project.
`DomainObjectSet<? extends ExternalDependency>` | `getClasspath()` Returns the external dependencies which make up the classpath of this project.
`GradleProject` | `getGradleProject()` The gradle project that is associated with this project.
`EclipseProject` | `getParent()` Returns the parent project of this project, if any.
`DomainObjectSet<? extends EclipseTask>` | `getTasks()` Deprecated.

Methods inherited from interface org.gradle.tooling.model.eclipse.HierarchicalEclipseProject
`getLinkedResources, getProjectDependencies, getSourceDirectories`

Methods inherited from interface org.gradle.tooling.model.Project
`getDescription, getName, getPath, getProjectDirectory`

Method Detail

### getParent

    EclipseProject getParent()

  Returns the parent project of this project, if any.

  Specified by:
    `getParent` in interface `HierarchicalEclipseProject`
  Specified by:
    `getParent` in interface `HierarchicalElement`
  Specified by:
    `getParent` in interface `HierarchicalProject`
  Returns:
    The parent, or null if this project has no parent.

### getChildren

    DomainObjectSet<? extends EclipseProject> getChildren()

  Returns the child projects of this project.

  Specified by:
    `getChildren` in interface `HierarchicalEclipseProject`
  Specified by:
    `getChildren` in interface `HierarchicalElement`
  Specified by:
    `getChildren` in interface `HierarchicalProject`
  Returns:
    The child projects. Returns an empty set if this project has no children.

### getGradleProject

    GradleProject getGradleProject()

  The gradle project that is associated with this project. Typically, a single eclipse project corresponds to a single gradle project.

  See `HasGradleProject`

  Specified by:
    `getGradleProject` in interface `HasGradleProject`
  Returns:
    associated gradle project

### getTasks

    @Deprecated
    DomainObjectSet<? extends EclipseTask> getTasks()

  Deprecated.

  Deprected because eclipse project does not have any tasks associated. However, eclipse project is associated to a gradle project and via gradle project you can get access to the gradle tasks.

  Please use getGradleProject().getTasks() instead.

  Specified by:
    `getTasks` in interface `BuildableElement`
  Specified by:
    `getTasks` in interface `BuildableProject`
  Returns:
    The tasks.

### getClasspath

    DomainObjectSet<? extends ExternalDependency> getClasspath()

  Returns the external dependencies which make up the classpath of this project.

  Returns:
    The dependencies. Returns an empty set if the project has no external dependencies.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD